<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReputationFormulas](./bitburner.reputationformulas.md) &gt; [calculateRepToFavor](./bitburner.reputationformulas.calculatereptofavor.md)

## ReputationFormulas.calculateRepToFavor() method

Calculate the resulting faction favor of a total amount of reputation. (Faction favor is gained whenever you install an Augmentation.)

**Signature:**

```typescript
calculateRepToFavor(rep: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

rep


</td><td>

number


</td><td>

amount of reputation.


</td></tr>
</tbody></table>

**Returns:**

number

The calculated faction favor.

